# AssociativeArray

#### new Cesium.AssociativeArray()
Core/AssociativeArray.js 17

A collection of key-value pairs that is stored as a hash for easy lookup but also provides an array for fast iteration.

### Members

#### length : Number
Core/AssociativeArray.js 29

Gets the number of items in the collection.

#### values : Array
Core/AssociativeArray.js 42

Gets an unordered array of all values in the collection. This is a live array that will automatically reflect the values in the collection, it should not be modified directly.

### Methods

#### contains(key) → Boolean
Core/AssociativeArray.js 55

Determines if the provided key is in the array.

Name | Type | Description
--- | --- | ---
`key` | String | Number | The key to check.

##### Returns:

`true` if the key is in the array, `false` otherwise.

#### get(key) → *
Core/AssociativeArray.js 92

Retrieves the value associated with the provided key.

Name | Type | Description
--- | --- | ---
`key` | String | Number | The key whose value is to be retrieved.

##### Returns:

The associated value, or undefined if the key does not exist in the collection.

#### remove(key) → Boolean
Core/AssociativeArray.js 107

Removes a key-value pair from the collection.

Name | Type | Description
--- | --- | ---
`key` | String | Number | The key to be removed.

##### Returns:

True if it was removed, false if the key was not in the collection.

#### removeAll()
Core/AssociativeArray.js 127

Clears the collection.

#### set(key, value)
Core/AssociativeArray.js 71

Associates the provided key with the provided value. If the key already exists, it is overwritten with the new value.

Name | Type | Description
--- | --- | ---
`key` | String | Number | A unique identifier.
`value` | * | The value to associate with the provided key.